digiKam Developer Documentation: Digikam::CameraController Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::CameraController Class Reference
Inheritance diagram for Digikam::CameraController:

## Public Slots
void | slotCancel ()
void | slotConnect ()

## Signals
void | signalBusy (bool val)
void | signalCameraInformation (const QString &summary, const QString &manual, const QString &about)
void | signalConnected (bool val)
void | signalDeleted (const QString &folder, const QString &file, bool status)
void | signalDownloaded (const QString &folder, const QString &file, const QString &temp, int status)
void | signalFileList (const CamItemInfoList &infoList)
void | signalFolderList (const QStringList &folderList)
void | signalFreeSpace (qint64 bytesSize, qint64 bytesAvail)
void | signalInternalDeleteFailed (const QString &folder, const QString &file)
void | signalInternalDownloadFailed (const QString &folder, const QString &file)
void | signalInternalLockFailed (const QString &folder, const QString &file)
void | signalInternalUploadFailed (const QString &folder, const QString &file, const QString &src)
void | signalLocked (const QString &folder, const QString &file, bool status)
void | signalLogMsg (const QString &msg, DHistoryView::EntryType type, const QString &folder, const QString &file)
void | signalMetadata (const QString &folder, const QString &file, const MetaEngineData &exifData)
void | signalPreview (const QImage &preview)
void | signalThumbInfo (const QString &folder, const QString &file, const CamItemInfo &itemInfo, const QImage &thumb)
void | signalThumbInfoFailed (const QString &folder, const QString &file, const CamItemInfo &itemInfo)
void | signalUploaded (const CamItemInfo &itemInfo)

## Public Member Functions
| CameraController (QWidget *const parent, const QString &title, const QString &model, const QString &port, const QString &path)
bool | cameraCaptureImagePreviewSupport () const
bool | cameraCaptureImageSupport () const
bool | cameraDelDirSupport () const
bool | cameraDeleteSupport () const
DKCamera::CameraDriverType | cameraDriverType () const
QByteArray | cameraMD5ID () const
bool | cameraMkDirSupport () const
QString | cameraPath () const
bool | cameraThumbnailSupport () const
QString | cameraTitle () const
bool | cameraUploadSupport () const
void | capture ()
void | deleteFile (const QString &folder, const QString &file)
void | download (const DownloadSettings &downloadSettings)
void | download (const DownloadSettingsList &list)
void | getCameraInformation ()
void | getFreeSpace ()
void | getMetadata (const QString &folder, const QString &file)
void | getPreview ()
CameraCommand * | getThumbsInfo (const CamItemInfoList &infoList, int thumbSize)
| Get thumbnails for a list of camera items plus advanced information from metadata.
void | listFiles (const QString &folder, bool useMetadata)
void | listFolders (const QString &folder=QString())
void | listRootFolder (bool useMetadata)
void | lockFile (const QString &folder, const QString &file, bool lock)
QIcon | mimeTypeThumbnail (const QString &itemName) const
void | moveThumbsInfo (CameraCommand *const cmd)
void | openFile (const QString &folder, const QString &file)
void | upload (const QFileInfo &srcFileInfo, const QString &destFile, const QString &destFolder)

## Protected Member Functions
void | executeCommand (CameraCommand *const cmd)
void | run () override